
soil_data = xlsread('soil_data.xlsx');

soil_data(:,3:3:size(soil_data,2)) = []; % removing NaN columns

soil_der = [];
h = diff(soil_data(:,1));
h = h(1); % Step size for soil data %(equal for all py curves)


% py curve has units N/m on y axis, and m on x axis

for i = 2:2:size(soil_data,2)
    
    soil_der = [soil_der, diff(soil_data(:,i))/h];
     
   
end

% gets soil "stiffness" as the derivative of py curve.

 %% Stiffness values varying according to displacements
  
 % displacements <= 0.020 m 
 k1 = soil_der(1,:)';
 
 % special care has to be taken with stiffness for depth 1
 % assuming a constant stifness equal to avg. of 5 first values
 k1(1) = sum(soil_der(1:5,1))/5;

 % displacements 0.020 < d <= 0.065 0.065 = place 14
 k2 = soil_der(6,:)';
 
 % special care about stiffnes depth 1
 k2(1) = sum(soil_der(6:14,1))/length(6:14);
 
 % Displacements 0.065 < d <= 0.1500
 k3 = soil_der(15,:)';
 
 % special care about stiffness depth 1
 k3(1) = sum(soil_der(15:31,1))/length(15:31);
 
 % displaceements 0.1500 < s <= end
 k4 = soil_der(32,:)';
 
 % special care about depth 1
 k4(1) = 0; 
 
% k_soil = [k1 k2 k3 k4];








