clear w g k h ai umax T
s1 = jonswap;
w = s1.w;
g= 9.81;
k = w.^2/g;

h =-25;
ai = zeros(length(w),1);
umax = zeros(length(w),1);
T = zeros(length(w),1);
D = 7;
for i = 1 :length(w);
    
ai(i) = sqrt(2*s1.S(i)*w(i));

end
for i = 1:length(w);
umax(i) = w(i)*ai(i)*cosh(k(i)^2)/sinh(k(i)*h);
T(i) = (2*pi)*1/w(i);
end

KC = zeros(length(w),1);
for i = 1:length(w);
KC(i) = abs(umax(i))*T(i)/D;
end

figure(21)
plot(T(8:end),KC(8:end),'Linewidth',1.5);
xlabel('Wave Period  (sec)','Fontsize',14);
ylabel('KC number   [-]','Fontsize',14);
str= sprintf('KC number for Hm0 = %d m Tp = %d sec  D = %d m',Hm0,Tp,7);
title(str,'Fontsize',14);