function tau = Regularnodal_morison_forcesV2(N_mono1,N_found,dof,lel_found,lel_mono1,w,kt,A_w)
%% regular wave loads
N = N_mono1 + floor(N_found/2);
tau1_w = zeros(dof*(N+1),1);
tau = zeros(dof*(N+1),1);
rho_w = 1025;

h = 30;
Diameter = 8;
Cm = 2;
lel = lel_mono1;


    q = 1; z = 6;
  
for n = 0:1:N-1
    
    %nl = n*lel_found;
    
    if n*lel_found <= floor(N_found/2)*lel_found
        nl = n*lel_found;
        lel = lel_found;
         
         
    
    else 
        nl = n*lel_mono1;
        lel = lel_mono1;
    end
    
       
           C_i = (pi*rho_w*Diameter^2/4*Cm*0.5*lel*w^2*A_w)/sinh(kt*h);
 
            p = cosh(kt*(-nl + h));
 
 
   
    tau1_el = C_i*(1/2)*p*[0;1;lel/6;0;1;-lel/6];
    
    
    tau1_w(q:z) = tau1_el;
q = q + 3;
z = z + 3;
end
tau = tau1_w;
end