function tau_curr = current_force(Diameter,t,dof,N_mono1,N_found,Vc,lel_found,lel_mono1)
% water current

N = N_mono1 + floor(N_found/2);
tau1_w = zeros(dof*(N+1),1);
tau_curr = zeros(dof*(N+1),length(t));

lel = lel_found;
Cd = 0.8;
rho_w = 1025;


for i = 1:length(t)
    q = 1; z = 6;
  
for n = 0:1:N-1
    
    %nl = n*lel_found;
    
    if n*lel_found <= floor(N_found/2)*lel_found
        nl = n*lel_found;
        lel = lel_found;
         
         
    
    else 
        nl = n*lel_mono1;
        lel = lel_mono1;
    end
    
       
           C_i = (pi*rho_w*Diameter(1)^2)/4*Cd*0.5*Vc^2;
 
         
 
 
   
    tau1_el = C_i*(lel/2)*[0;1;lel/6;0;1;-lel/6];
    
    
    tau1_w(q:z) = tau1_el;
q = q + 3;
z = z + 3;

end

tau_curr(:,i) = tau1_w;


end
