function [ktut] = wave_number(water_depth,omega)

%% This function calculates the wave number kt through iteration of the following function
% kt = omega^2/(g*tanh(kt*water_depth));

e_tol = 1; %error tol 1 %
g = 9.81;

i=1;


kt(i) = 0.02;
err(i) = 1;

while  err(i) >= (e_tol) 
    

    kt(i+1) = omega^2/(g*tanh(kt(i)*water_depth));
   
 

  err(i+1) = abs((((kt(i+1)-kt(i))/(kt(i+1)))*100));

i = i +1;
disp([kt',err'])
end

ktut =kt(end);


end